## linux-raspi 6.17.0-1001.1

=== sound/drivers/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@perex.cz>
#

snd-dummy-y := dummy.o
snd-aloop-y := aloop.o
snd-mtpav-y := mtpav.o
snd-mts64-y := mts64.o
snd-pcmtest-y := pcmtest.o
snd-pimidi-y := pimidi.o
snd-portman2x4-y := portman2x4.o
snd-serial-u16550-y := serial-u16550.o
snd-serial-generic-y := serial-generic.o
snd-virmidi-y := virmidi.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_DUMMY) += snd-dummy.o
obj-$(CONFIG_SND_ALOOP) += snd-aloop.o
obj-$(CONFIG_SND_VIRMIDI) += snd-virmidi.o
obj-$(CONFIG_SND_PCMTEST) += snd-pcmtest.o
obj-$(CONFIG_SND_SERIAL_U16550) += snd-serial-u16550.o
obj-$(CONFIG_SND_SERIAL_GENERIC) += snd-serial-generic.o
obj-$(CONFIG_SND_MTPAV) += snd-mtpav.o
obj-$(CONFIG_SND_MTS64) += snd-mts64.o
obj-$(CONFIG_SND_PIMIDI) += snd-pimidi.o
obj-$(CONFIG_SND_PORTMAN2X4) += snd-portman2x4.o

obj-$(CONFIG_SND) += opl3/ opl4/ mpu401/ vx/ pcsp/ upisnd/

=== drivers/media/platform/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the video capture/playback device drivers.
#

# Place here, alphabetically sorted by directory
# (e. g. LC_ALL=C sort Makefile)
obj-y += allegro-dvt/
obj-y += amlogic/
obj-y += amphion/
obj-y += aspeed/
obj-y += atmel/
obj-y += bcm2835/
obj-y += broadcom/
obj-y += cadence/
obj-y += chips-media/
obj-y += imagination/
obj-y += intel/
obj-y += marvell/
obj-y += mediatek/
obj-y += microchip/
obj-y += nuvoton/
obj-y += nvidia/
obj-y += nxp/
obj-y += qcom/
obj-y += raspberrypi/
obj-y += renesas/
obj-y += rockchip/
obj-y += samsung/
obj-y += st/
obj-y += sunxi/
obj-y += synopsys/
obj-y += ti/
obj-y += verisilicon/
obj-y += via/
obj-y += xilinx/

# Please place here only ancillary drivers that aren't SoC-specific
# Please keep it alphabetically sorted by Kconfig name
# (e. g. LC_ALL=C sort Makefile)
obj-$(CONFIG_VIDEO_MEM2MEM_DEINTERLACE)	+= m2m-deinterlace.o
obj-$(CONFIG_VIDEO_MUX)			+= video-mux.o

=== arch/arm/boot/dts/overlays/Makefile ===
# Overlays for the Raspberry Pi platform

dtb-$(CONFIG_ARCH_BCM2835) += overlay_map.dtb hat_map.dtb

dtbo-$(CONFIG_ARCH_BCM2835) += \
	act-led.dtbo \
	adafruit-st7735r.dtbo \
	adafruit18.dtbo \
	adau1977-adc.dtbo \
	adau7002-simple.dtbo \
	ads1015.dtbo \
	ads1115.dtbo \
	ads7846.dtbo \
	adv7282m.dtbo \
	adv728x-m.dtbo \
	akkordion-iqdacplus.dtbo \
	allo-boss-dac-pcm512x-audio.dtbo \
	allo-boss2-dac-audio.dtbo \
	allo-digione.dtbo \
	allo-katana-dac-audio.dtbo \
	allo-piano-dac-pcm512x-audio.dtbo \
	allo-piano-dac-plus-pcm512x-audio.dtbo \
	anyspi.dtbo \
	apds9960.dtbo \
	applepi-dac.dtbo \
	arducam-64mp.dtbo \
	arducam-pivariety.dtbo \
	at86rf233.dtbo \
	audioinjector-addons.dtbo \
	audioinjector-bare-i2s.dtbo \
	audioinjector-isolated-soundcard.dtbo \
	audioinjector-ultra.dtbo \
	audioinjector-wm8731-audio.dtbo \
	audiosense-pi.dtbo \
	audremap.dtbo \
	audremap-pi5.dtbo \
	balena-fin.dtbo \
	bcm2712d0.dtbo \
	camera-mux-2port.dtbo \
	camera-mux-4port.dtbo \
	cap1106.dtbo \
	chipcap2.dtbo \
	chipdip-dac.dtbo \
	cirrus-wm5102.dtbo \
	cm-swap-i2c0.dtbo \
	cma.dtbo \
	crystalfontz-cfa050_pi_m.dtbo \
	cutiepi-panel.dtbo \
	dacberry400.dtbo \
	dht11.dtbo \
	dionaudio-kiwi.dtbo \
	dionaudio-loco.dtbo \
	dionaudio-loco-v2.dtbo \
	disable-bt.dtbo \
	disable-bt-pi5.dtbo \
	disable-emmc2.dtbo \
	disable-wifi.dtbo \
	disable-wifi-pi5.dtbo \
	dpi18.dtbo \
	dpi18cpadhi.dtbo \
	dpi24.dtbo \
	draws.dtbo \
	dwc-otg-deprecated.dtbo \
	dwc2.dtbo \
	edt-ft5406.dtbo \
	enc28j60.dtbo \
	enc28j60-spi2.dtbo \
	exc3000.dtbo \
	ezsound-6x8iso.dtbo \
	fbtft.dtbo \
	fe-pi-audio.dtbo \
	fsm-demo.dtbo \
	gc9a01.dtbo \
	ghost-amp.dtbo \
	goodix.dtbo \
	googlevoicehat-soundcard.dtbo \
	gpio-charger.dtbo \
	gpio-fan.dtbo \
	gpio-hog.dtbo \
	gpio-ir.dtbo \
	gpio-ir-tx.dtbo \
	gpio-key.dtbo \
	gpio-led.dtbo \
	gpio-no-bank0-irq.dtbo \
	gpio-no-irq.dtbo \
	gpio-poweroff.dtbo \
	gpio-shutdown.dtbo \
	hd44780-i2c-lcd.dtbo \
	hd44780-lcd.dtbo \
	hdmi-backlight-hwhack-gpio.dtbo \
	hifiberry-adc.dtbo \
	hifiberry-adc8x.dtbo \
	hifiberry-amp.dtbo \
	hifiberry-amp100.dtbo \
	hifiberry-amp3.dtbo \
	hifiberry-amp4pro.dtbo \
	hifiberry-dac.dtbo \
	hifiberry-dac8x.dtbo \
	hifiberry-dacplus.dtbo \
	hifiberry-dacplus-pro.dtbo \
	hifiberry-dacplus-std.dtbo \
	hifiberry-dacplusadc.dtbo \
	hifiberry-dacplusadcpro.dtbo \
	hifiberry-dacplusdsp.dtbo \
	hifiberry-dacplushd.dtbo \
	hifiberry-digi.dtbo \
	hifiberry-digi-pro.dtbo \
	highperi.dtbo \
	hy28a.dtbo \
	hy28b.dtbo \
	hy28b-2017.dtbo \
	i-sabre-q2m.dtbo \
	i2c-bcm2708.dtbo \
	i2c-fan.dtbo \
	i2c-gpio.dtbo \
	i2c-mux.dtbo \
	i2c-pwm-pca9685a.dtbo \
	i2c-rtc.dtbo \
	i2c-rtc-gpio.dtbo \
	i2c-sensor.dtbo \
	i2c0.dtbo \
	i2c0-pi5.dtbo \
	i2c1.dtbo \
	i2c1-pi5.dtbo \
	i2c2-pi5.dtbo \
	i2c3.dtbo \
	i2c3-pi5.dtbo \
	i2c4.dtbo \
	i2c5.dtbo \
	i2c6.dtbo \
	i2s-dac.dtbo \
	i2s-gpio28-31.dtbo \
	i2s-master-dac.dtbo \
	ilitek251x.dtbo \
	imx219.dtbo \
	imx258.dtbo \
	imx283.dtbo \
	imx290.dtbo \
	imx296.dtbo \
	imx327.dtbo \
	imx335.dtbo \
	imx378.dtbo \
	imx415.dtbo \
	imx462.dtbo \
	imx477.dtbo \
	imx500.dtbo \
	imx500-pi5.dtbo \
	imx519.dtbo \
	imx708.dtbo \
	interludeaudio-analog.dtbo \
	interludeaudio-digital.dtbo \
	iqaudio-codec.dtbo \
	iqaudio-dac.dtbo \
	iqaudio-dacplus.dtbo \
	iqaudio-digi-wm8804-audio.dtbo \
	iqs550.dtbo \
	irs1125.dtbo \
	jedec-spi-nor.dtbo \
	justboom-both.dtbo \
	justboom-dac.dtbo \
	justboom-digi.dtbo \
	ltc294x.dtbo \
	max98357a.dtbo \
	maxtherm.dtbo \
	mbed-dac.dtbo \
	mcp23017.dtbo \
	mcp23s17.dtbo \
	mcp2515.dtbo \
	mcp2515-can0.dtbo \
	mcp2515-can1.dtbo \
	mcp251xfd.dtbo \
	mcp3008.dtbo \
	mcp3202.dtbo \
	mcp342x.dtbo \
	media-center.dtbo \
	merus-amp.dtbo \
	midi-uart0.dtbo \
	midi-uart0-pi5.dtbo \
	midi-uart1.dtbo \
	midi-uart1-pi5.dtbo \
	midi-uart2.dtbo \
	midi-uart2-pi5.dtbo \
	midi-uart3.dtbo \
	midi-uart3-pi5.dtbo \
	midi-uart4.dtbo \
	midi-uart4-pi5.dtbo \
	midi-uart5.dtbo \
	minipitft13.dtbo \
	miniuart-bt.dtbo \
	mipi-dbi-spi.dtbo \
	mira220.dtbo \
	mlx90640.dtbo \
	mmc.dtbo \
	mz61581.dtbo \
	ov2311.dtbo \
	ov5647.dtbo \
	ov64a40.dtbo \
	ov7251.dtbo \
	ov9281.dtbo \
	papirus.dtbo \
	pca953x.dtbo \
	pcf857x.dtbo \
	pcie-32bit-dma.dtbo \
	pcie-32bit-dma-pi5.dtbo \
	pciex1-compat-pi5.dtbo \
	pibell.dtbo \
	pifacedigital.dtbo \
	pifi-40.dtbo \
	pifi-dac-hd.dtbo \
	pifi-dac-zero.dtbo \
	pifi-mini-210.dtbo \
	piglow.dtbo \
	pimidi.dtbo \
	pineboards-hat-ai.dtbo \
	pineboards-hatdrive-poe-plus.dtbo \
	piscreen.dtbo \
	piscreen2r.dtbo \
	pisound.dtbo \
	pisound-micro.dtbo \
	pisound-pi5.dtbo \
	pitft22.dtbo \
	pitft28-capacitive.dtbo \
	pitft28-resistive.dtbo \
	pitft35-resistive.dtbo \
	pivision.dtbo \
	pps-gpio.dtbo \
	proto-codec.dtbo \
	pwm.dtbo \
	pwm-2chan.dtbo \
	pwm-gpio.dtbo \
	pwm-gpio-fan.dtbo \
	pwm-ir-tx.dtbo \
	pwm-pio.dtbo \
	pwm1.dtbo \
	qca7000.dtbo \
	qca7000-uart0.dtbo \
	ramoops.dtbo \
	ramoops-pi4.dtbo \
	rootmaster.dtbo \
	rotary-encoder.dtbo \
	rpi-backlight.dtbo \
	rpi-codeczero.dtbo \
	rpi-dacplus.dtbo \
	rpi-dacpro.dtbo \
	rpi-digiampplus.dtbo \
	rpi-ft5406.dtbo \
	rpi-fw-uart.dtbo \
	rpi-poe.dtbo \
	rpi-poe-plus.dtbo \
	rpi-power-hat-b.dtbo \
	rpi-power-hat-t.dtbo \
	rpi-sense.dtbo \
	rpi-sense-v2.dtbo \
	rpi-tv.dtbo \
	rra-digidac1-wm8741-audio.dtbo \
	sainsmart18.dtbo \
	sc16is750-i2c.dtbo \
	sc16is752-i2c.dtbo \
	sc16is75x-spi.dtbo \
	sdhost.dtbo \
	sdio.dtbo \
	sdio-pi5.dtbo \
	seeed-can-fd-hat-v1.dtbo \
	seeed-can-fd-hat-v2.dtbo \
	sh1106-spi.dtbo \
	si446x-spi0.dtbo \
	smi.dtbo \
	smi-dev.dtbo \
	smi-nand.dtbo \
	spi-gpio35-39.dtbo \
	spi-gpio40-45.dtbo \
	spi-rtc.dtbo \
	spi0-0cs.dtbo \
	spi0-1cs.dtbo \
	spi0-1cs-inverted.dtbo \
	spi0-2cs.dtbo \
	spi1-1cs.dtbo \
	spi1-2cs.dtbo \
	spi1-3cs.dtbo \
	spi2-1cs.dtbo \
	spi2-1cs-pi5.dtbo \
	spi2-2cs.dtbo \
	spi2-2cs-pi5.dtbo \
	spi2-3cs.dtbo \
	spi3-1cs.dtbo \
	spi3-1cs-pi5.dtbo \
	spi3-2cs.dtbo \
	spi3-2cs-pi5.dtbo \
	spi4-1cs.dtbo \
	spi4-2cs.dtbo \
	spi5-1cs.dtbo \
	spi5-1cs-pi5.dtbo \
	spi5-2cs.dtbo \
	spi5-2cs-pi5.dtbo \
	spi6-1cs.dtbo \
	spi6-2cs.dtbo \
	ssd1306.dtbo \
	ssd1306-spi.dtbo \
	ssd1327-spi.dtbo \
	ssd1331-spi.dtbo \
	ssd1351-spi.dtbo \
	sunfounder-pipower3.dtbo \
	sunfounder-pironman5.dtbo \
	superaudioboard.dtbo \
	sx150x.dtbo \
	tc358743.dtbo \
	tc358743-audio.dtbo \
	tc358743-pi5.dtbo \
	tinylcd35.dtbo \
	tpm-slb9670.dtbo \
	tpm-slb9673.dtbo \
	uart0.dtbo \
	uart0-pi5.dtbo \
	uart1.dtbo \
	uart1-pi5.dtbo \
	uart2.dtbo \
	uart2-pi5.dtbo \
	uart3.dtbo \
	uart3-pi5.dtbo \
	uart4.dtbo \
	uart4-pi5.dtbo \
	uart5.dtbo \
	udrc.dtbo \
	ugreen-dabboard.dtbo \
	upstream.dtbo \
	upstream-pi4.dtbo \
	vc4-fkms-v3d.dtbo \
	vc4-fkms-v3d-pi4.dtbo \
	vc4-kms-dpi-generic.dtbo \
	vc4-kms-dpi-hyperpixel2r.dtbo \
	vc4-kms-dpi-hyperpixel4.dtbo \
	vc4-kms-dpi-hyperpixel4sq.dtbo \
	vc4-kms-dpi-panel.dtbo \
	vc4-kms-dsi-7inch.dtbo \
	vc4-kms-dsi-generic.dtbo \
	vc4-kms-dsi-ili9881-5inch.dtbo \
	vc4-kms-dsi-ili9881-7inch.dtbo \
	vc4-kms-dsi-lt070me05000.dtbo \
	vc4-kms-dsi-lt070me05000-v2.dtbo \
	vc4-kms-dsi-waveshare-800x480.dtbo \
	vc4-kms-dsi-waveshare-panel.dtbo \
	vc4-kms-dsi-waveshare-panel-v2.dtbo \
	vc4-kms-kippah-7inch.dtbo \
	vc4-kms-v3d.dtbo \
	vc4-kms-v3d-pi4.dtbo \
	vc4-kms-v3d-pi5.dtbo \
	vc4-kms-vga666.dtbo \
	vga666.dtbo \
	vl805.dtbo \
	w1-gpio.dtbo \
	w1-gpio-pi5.dtbo \
	w1-gpio-pullup.dtbo \
	w1-gpio-pullup-pi5.dtbo \
	w5500.dtbo \
	watterott-display.dtbo \
	waveshare-can-fd-hat-mode-a.dtbo \
	waveshare-can-fd-hat-mode-b.dtbo \
	wifimac.dtbo \
	wittypi.dtbo \
	wm8960-soundcard.dtbo \
	ws2812-pio.dtbo

targets += dtbs dtbs_install
targets += $(dtbo-y)

always-y	:= $(dtbo-y)
clean-files	:= *.dtbo

=== debian/changelog ===
linux-raspi (6.17.0-1001.1) questing; urgency=medium

  * questing/linux-raspi: 6.17.0-1001.1 -proposed tracker (LP: #2122477)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update update.conf
    - [Packaging] update Ubuntu.md
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/d2025.09.08)
    - [Packaging] update variants

  * Missing overlays/README (LP: #1954757)
    - SAUCE: (no-up) Install overlays/README

  * Raspberry Pi 3B+ doesnt boot from USB on 23.10 Mantic (LP: #2039786)
    - SAUCE: Revert "usb: misc: onboard-hub: add support for Microchip
      USB2514B USB 2.0 hub"

  * IO errors when writing large amounts of data to USB storage in eoan on
    RPI2/3 (armhf kernel) (LP: #1852510)
    - Add dwc_otg driver

  * Miscellaneous Ubuntu changes
    - [Packaging] raspi: Initial import of debian.raspi from plucky:linux-
      raspi (6.14.0-1014.14)
    - [Packaging] raspi: Sync packaging files from debian.master
    - [Packaging] raspi: Initial version of questing:linux-raspi
    - raspi: Update to upstream raspberrypi rpi-6.17.y (2025-09-09)
    - [Config] raspi: Resync raspi configs
    - [Config] raspi: Add notes to overrides
    - [Config] raspi: Switch IMA_DEFAULT_HASH to SHA256
    - [Config] raspi: Don't override IRQSOFF_TRACER
    - [Config] raspi: updateconfigs after import of rpi-6.17.y patchset
    - [Config] raspi: Remove identical configs
    - [Config] raspi: Remove deprecated configs
    - [Config] raspi: Fix up TODO notes
    - [Config] raspi: Add bug to note
    - SAUCE: ARM: dts: overlays: Fix file permissions
    - SAUCE: (no-up) ARM: dts: Disable unsupported Raspberry Pi DTBs
    - SAUCE: drivers/gpio/gpio-pwm: Fix return type of pwm_gpio_set

  * Miscellaneous upstream changes
    - Revert "spi: spidev: Fix CS polarity if GPIO descriptors are used"
    - Revert "ARM: dts: bcm2711: Add BCM2711 xHCI support"
    - Revert "usb: phy: generic: Get the vbus supply"
    - Revert "PCI: Warn if no host bridge NUMA node info"
    - of: overlay: Correct symbol path fixups
    - module: Avoid ABI changes when debug info is disabled
    - raspberrypi-firmware: Update mailbox commands
    - drm/atomic: Don't fixup modes that haven't been reset
    - drm: Check whether the gamma lut has changed before updating
    - drm/dsi: Document the meaning and spec references for MIPI_DSI_MODE_*
    - drm/bridge: tc358762: Ignore EPROBE_DEFER when logging errors
    - drm: Add chroma siting properties
    - drm/atomic-helpers: remove legacy_cursor_update hacks
    - drm/atomic: If margins are updated, update all planes.
    - arm64: setup: Fix build warning
    - BCM2708: Add core Device Tree support
    - overlays: Fix sc16is752-spi1 emulation
    - config: Add default configs
    - clk: clk-bcm2835: Register the clocks early during the boot process
    - clk-bcm2835: Mark used PLLs and dividers CRITICAL
    - clk-bcm2835: Add claim-clocks property
    - clk-bcm2835: Read max core clock from firmware
    - clk-bcm2835: Don't wait for pllh lock
    - clk: bcm2835: Add support for setting leaf clock rates while running.
    - clk: bcm2835: Allow reparenting leaf clocks while they're running.
    - clk-bcm2835: Avoid null pointer exception
    - clk-bcm2835: Disable v3d clock
    - clk-bcm2835: Use PLLD for DSI0 HS clock
    - smsc95xx: Experimental: Enable turbo_mode and packetsize=2560 by default
    - Allow mac address to be set in smsc95xx
    - Protect __release_resource against resources without parents
    - irq-bcm2836: Avoid "Invalid trigger warning"
    - irqchip: bcm2835: Add FIQ support
    - irqchip: irq-bcm2835: Add 2836 FIQ support
    - spi: spidev: Completely disable the spidev warning
    - dmaengine: bcm2835: Load driver early and support legacy API
    - rtc: Add SPI alias for pcf2123 driver
    - watchdog: bcm2835: Support setting reboot partition
    - reboot: Use power off rather than busy spinning when halt is requested
    - bcm2835-rng: Avoid initialising if already enabled
    - Update vfpmodule.c
    - i2c: bcm2835: Add debug support
    - irqchip: irq-bcm2836: Remove regmap and syscon use
    - amba_pl011: Insert mb() for correct FIFO handling
    - amba_pl011: Add cts-event-workaround DT property
    - tty: amba-pl011: Avoid rare write-when-full error
    - Main bcm2708/bcm2709 linux port
    - bcm2708_fb: Add framebuffer driver
    - dmaengine: Add support for BCM2708
    - MMC: added alternative MMC driver
    - mmc: block: Don't do single-sector reads during recovery
    - vc_mem: Add vc_mem driver for querying firmware memory addresses
    - Add SMI driver
    - Add Chris Boot's i2c driver
    - char: Add broadcom char drivers back to build files
    - char: broadcom: Add vcio module
    - drivers: char: add generic gpiomem driver
    - firmware: bcm2835: Support ARCH_BCM270x
    - leds: Add the "input" trigger, for pwr_led
    - Added Device IDs for August DVB-T 205
    - Improve __copy_to_user and __copy_from_user performance
    - mfd: Add Raspberry Pi Sense HAT core driver
    - drivers/mfd: sensehat: Add Raspberry Pi Sense HAT to simple_mfd_i2c
    - Input: sensehat-joystick : Revert to downstream keymap
    - ASoC: Add support for all the downstream rpi sound card drivers
    - rpi_display: add backlight driver and overlay
    - bcm2835-virtgpio: Virtual GPIO driver
    - OF: DT-Overlay configfs interface
    - brcm: adds support for BCM43341 wifi
    - hci_h5: Don't send conf_req when ACTIVE
    - ARM64: Round-Robin dispatch IRQs between CPUs.
    - ARM64: Force hardware emulation of deprecated instructions.
    - AXI performance monitor driver (#2222)
    - ARM: bcm2835: Set Serial number and Revision
    - dwc-otg: FIQ: Fix "bad mode in data abort handler"
    - ARM: Activate FIQs to avoid __irq_startup warnings
    - i2c-gpio: Also set bus numbers from reg property
    - added capture_clear option to pps-gpio via dtoverlay (#2433)


=== debian/control ===
Source: linux-raspi
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Rules-Requires-Root: no
Standards-Version: 3.9.4.0
Build-Depends:
 gcc:native, gcc-aarch64-linux-gnu [arm64] <cross>, gcc-arm-linux-gnueabihf [armhf] <cross>, gcc-powerpc64le-linux-gnu [ppc64el] <cross>, gcc-riscv64-linux-gnu [riscv64] <cross>, gcc-s390x-linux-gnu [s390x] <cross>, gcc-x86-64-linux-gnu [amd64] <cross>,
 autoconf <!stage1>,
 automake <!stage1>,
 bc <!stage1>,
 bindgen:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 bison <!stage1>,
 clang-19:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 cpio,
 curl <!stage1>,
 debhelper-compat (= 10),
 default-jdk-headless:native <!stage1>,
 dkms <!stage1>,
 flex <!stage1>,
 gawk <!stage1>,
 java-common <!stage1>,
 kmod <!stage1>,
 libaudit-dev <!stage1>,
 libcap-dev <!stage1>,
 libdebuginfod-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libdw-dev <!stage1>,
 libelf-dev <!stage1>,
 libiberty-dev <!stage1>,
 liblzma-dev <!stage1>,
 libnewt-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libpci-dev <!stage1>,
 libssl-dev <!stage1>,
 libstdc++-dev,
 libtool <!stage1>,
 libtraceevent-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libtracefs-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libudev-dev <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 makedumpfile:native [amd64] <!stage1>,
 openssl <!stage1>,
 pahole (>= 1.29-2ubuntu2) [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 pkg-config <!stage1>,
 python3:native <!stage1>,
 python3-dev:native <!stage1>,
 libpython3-dev <!stage1> <cross>,
 python3-setuptools,
 rsync [!i386] <!stage1>,
 rust-src:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustc:native (>= 1.82) [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustfmt:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 uuid-dev <!stage1>,
 zstd <!stage1>,
 bpftool:native [amd64 arm64 armhf ppc64el riscv64 s390x] <!stage1> <cross>,
Build-Depends-Indep:
 asciidoc <!stage1>,
 bzip2 <!stage1>,
 python3-docutils <!stage1>,
 sharutils <!stage1>,
 xmlto <!stage1>,
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-raspi/+git/questing
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-raspi-headers-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: arm64
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Header files related to Linux kernel version 6.17.0
 This package provides kernel header files for version 6.17.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-raspi-headers-6.17.0-1001/debian.README.gz for details

Package: linux-raspi-tools-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.17.0-1001.
 You probably want to install linux-tools-6.17.0-1001-<flavour>.


Package: linux-image-6.17.0-1001-raspi
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1001-raspi
Recommends: grub-pc [amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [amd64 x32] | grub [amd64 x32] | lilo (>= 19.1) [amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-unsigned-6.17.0-1001-raspi
Suggests: bpftool, linux-perf, linux-raspi-doc-6.17.0 | linux-raspi-source-6.17.0, linux-raspi-tools, linux-headers-6.17.0-1001-raspi
Description: Linux kernel image for version 6.17.0
 This package contains the Linux kernel image for version 6.17.0.
 .
 Supports Raspberry Pi processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-raspi meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-6.17.0-1001-raspi-dbgsym
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.17.0
 This package provides the kernel debug image for version 6.17.0.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.


Package: linux-modules-6.17.0-1001-raspi
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-6.17.0-1001-raspi, wireless-regdb
Provides: linux-modules-extra-6.17.0-1001-raspi
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel modules for version 6.17.0
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Raspberry Pi processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-raspi meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.17.0-1001-raspi
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-raspi-headers-6.17.0-1001, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 6.17.0
 This package provides kernel header files for version 6.17.0.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.17.0-1001/debian.README.gz for details.

Package: linux-tools-6.17.0-1001-raspi
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-raspi-tools-6.17.0-1001
Description: Linux kernel version specific tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools (such as x86_energy_perf_policy) for
 version 6.17.0-1001.

Package: linux-buildinfo-6.17.0-1001-raspi
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 6.17.0
 This package contains the Linux kernel buildinfo for version 6.17.0.
 .
 You likely do not want to install this package.


Package: linux-modules-iwlwifi-6.17.0-1001-raspi
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.17.0-1001-raspi | linux-image-unsigned-6.17.0-1001-raspi,
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel iwlwifi modules for version 6.17.0-1001
 This package provides the Linux kernel iwlwifi modules for version
 6.17.0-1001.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-iwlwifi-raspi* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.
